aereport -RePorT(1)

NAME
aereport -RePorT - report generator

SYNOPSIS
aereport [ option... ] report-name
aereport [ option... ] -File filename
aereport -RePorT -List
aereport -Help
aereport -VERSion

DESCRIPTION
The aereport command is used to generate reports from aereport' database. Reports are specified in a C-like language described in the aer(5) manual entry.

For a list of the reports available on your system, use the 'aer -list' command. These reports live in the /usr/pkg/share/aegis/report directory, and it initially contains the reports distributed with aereport, however sites are free to add their own here.

WRITING REPORT SCRIPTS
Getting started writing report scripts can be difficult. You are best to have a look at the reports distributes with Aegis, and try to adapt them. The report script files are kept in the /usr/pkg/share/aegis/report directory.

For information about the data structures which may be accessed from a report script, you need to see the relevant manual entries:

the projects list
    See aegstate(1) for the member fields.

a specific project
    See aepstate(1) for the member fields.

a specific change
    See aecstate(1) for the member fields.

a specific file
    See aefstate(1) for the member fields.

Each of the above man pages also contains a section towards the end which specifically addresses report generator use, usually with code fragments.

OPTIONS
The following options are understood:

-BaseLine
    This option may be used to specify that the project baseline is the subject of the command.

-BRanch number
    This option may be used to specify a different branch for the origin file, rather than the baseline. (See also -TRunk option. Please Note: the -BRanch option does not take a project name, just the branch number suffix.

-GrandParent
    This option may be used to specify the grandparent branch (one up from the current branch) for the origin file, rather than the baseline. (The -grandparent option is the same as the “-branch ..” option.)

-Change number
    This option may be used to specify a particular change within a project. See aegis(1) for a complete description of this option.

-DELta number
    This option may be used to specify a particular delta in the project's history to copy the file from, rather than the most current version. If the delta has been given a name (see aedn(1) for how) you may use a delta name instead of a delta number. It is an error if the delta specified does not exist. Delta numbers start from 1 and increase; delta 0 is a special case meaning “when the branch started”.

-DELta_Date string
    This option may be used to specify a particular date and time in the project's history to copy the file from, rather than the most current version. It is an error if the string specified cannot be interpreted as a valid date and time. Quote the string if you need to use spaces.

-DELta_From_Change number
    This option may be used to specify a particular project delta from its change number.

-File filename
    Take the report script from the specified file, rather than looking for the named report in the library of reports distributed with Aegis. The filename “-” is understood to mean the standard input.

-Help
    This option may be used to obtain more information about how to use the aereport program.

-List
    This option may be used to obtain a list of suitable subjects for this command. The list may be more general than expected.

-Output filename
    This option may be used to specify the output file. The output is sent to the standard output by default.

-Project name
    This option may be used to select the project of interest. When no -Project option is specified, the AEGIS_PROJECT environment variable is consulted. If that does not exist, the user's $HOME/.aegisrc file is examined for a default project field (see aeuconf(5) for more information). If that does not exist, when the user is only working on changes within a single project, the project name defaults to that project. Otherwise, it is an error.

-TERse
    This option may be used to cause listings to produce the bare minimum of information. It is usually useful for shell scripts.

-TRunk
    This option may be used to specify the project trunk for the origin file, rather than the baseline. (See also -BRanch option, the -trunk option is the same as the “-branch -” option.)

-UNFormatted
    This option may be used with most listings to specify that the column formatting is not to be performed. This is useful for shell scripts.

-Page-Header
    This option requests that page headings be present in listings and reports. This is the default.

-No-Page-Header
    This option requests that page headings be omitted from listings and reports.

-Verbose
    This option may be used to cause aereport to produce more output. By default aereport only produces output on errors. When used with the -List option this option causes column headings to be added.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aereport are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%    alias aer 'aereport \!* -v'
sh$     aer(){aereport "$@" -v}

SEE ALSO

ael(1)
    list (possibly) interesting things

aer(5)
    report script language definition

EXIT STATUS
The aereport command will exit with a status of 1 on any error. The aereport command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

COPYRIGHT
aereport version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aereport program comes with ABSOLUTELY NO WARRANTY; for details use the 'aereport -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aereport -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/